/*
 * This Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this
 * file, You can obtain one at http://mozilla.org/MPL/2.0/.
 */


$("#openmanagement").click(function () {
    document.getElementById("xframe").contentDocument.location.reload(true);
    $("#managermodal").modal();
});

$("#xprintbtn").click(function () {
    document.getElementById("xframe").contentWindow.print();
});

function showTransactionList(search) {
    if (search == "") {
        return;
    }
    $.get('action.php', {
        action: 'transactionsearch',
        q: search
    }, function (data) {
        var html = "";
        if (data['transactions'].length > 0) {
            for (var i = 0; i < data['transactions'].length; i++) {
                var txid = '<i class="fas fa-hashtag"></i> ' + data['transactions'][i]['txid'];
                var date = '<i class="fas fa-calendar"></i> ' + data['transactions'][i]['txdate'];
                var customername = "";
                var cashiername = "";
                var buttons = "";
                if (typeof data['transactions'][i]['customer']['name'] == 'string') {
                    customername = '<i class="fas fa-user-circle"></i> ' + data['transactions'][i]['customer']['name'];
                }
                if (data['transactions'][i]['cashier']['name'] != "") {
                    cashiername = '<i class="fas fa-id-card-alt"></i> ' + data['transactions'][i]['cashier']['name'];
                }
                if (data['transactions'][i]['editable'] === true) {
                    buttons += '<a href="app.php?page=pos&txid=' + data['transactions'][i]['txid'] + '" class="btn btn-sm btn-primary"><i class="fas fa-edit"></i> Edit</a>';
                }
                html += '<div class="list-group-item transaction d-flex justify-content-between flex-wrap">'
                        + '<div>' + buttons + '</div>'
                        + '<div>' + txid + '</div>'
                        + '<div>' + date + '</div>'
                        + '<div>' + cashiername + '</div>'
                        + '<div>' + customername + '</div>'
                        + '</div>';
            }
        } else {
            html = '<div class="list-group-item"><i class="fas fa-search-minus"></i> No results.</div>';
        }
        $("#transactionselection").html(html);
    });
}

$("#transactionsearch").on('keypress', function (e) {
    if (e.which === 13) {
        showTransactionList($("#transactionsearch").val());
        $("#transactionsearch").val("");
    }
});

$("#transactionsearchbtn").on("click", function () {
    showCustomerList($("#transactionsearch").val());
    $("#transactionsearch").val("");
});